aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorNicolas Dechesne <ndechesne@users.noreply.github.com>2021-06-03 02:12:10 +0200
committerGitHub <noreply@github.com>2021-06-03 02:12:10 +0200
commit75a805b5cb3d65ea302164bcfd219af30e6a1c70 (patch)
tree2ccc3a85182376ec75383283c1d21c8a1b8e3211
parente2d0b895abd69c6dbd13202a74021be35e912a5d (diff)
parentfaaaf84e9c98adcc6246330e77901b347f17ddda (diff)
downloadmeta-qcom-75a805b5cb3d65ea302164bcfd219af30e6a1c70.tar.gz
meta-qcom-75a805b5cb3d65ea302164bcfd219af30e6a1c70.tar.bz2
meta-qcom-75a805b5cb3d65ea302164bcfd219af30e6a1c70.zip
Merge pull request #308 from olivierschonken/update-lt9611uxc-script
lt9611uxc-upgrade script: Only cat firmware version when it exists
-rw-r--r--recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh2
1 files changed, 1 insertions, 1 deletions
diff --git a/recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh b/recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh
index 0886980..9f72525 100644
--- a/recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh
+++ b/recipes-bsp/lt9611uxc-upgrade/lt9611uxc-upgrade/lt9611uxc-upgrade.sh
@@ -13,7 +13,7 @@ if [ ! -d /sys/bus/i2c/drivers/lt9611uxc ] ; then
fi
for f in /sys/bus/i2c/drivers/lt9611uxc/* ; do
- [ -L $f ] || continue
+ [ -e $f/lt9611uxc_firmware ] || continue
version=`cat $f/lt9611uxc_firmware`
if [ "$version" -lt "43" ] ; then
echo > $f/lt9611uxc_firmware